package cn.axzo.msg.center.service.pending.request;

import cn.axzo.msg.center.service.pending.card.domain.CardButtonState;
import com.alibaba.fastjson.JSONObject;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author yanglin
 */
public interface CardContent {

    String getTemplateCode();

    CardStateInfo getStateInfo();

    List<CardButtonState> getButtonStates();

    String getSubtitle();

    @NotNull
    JSONObject getBizParam();

    @NotNull
    JSONObject getRouterParam();

}